﻿#language: ru

Функционал: 10_milk_scenario. Заполнение справочника учетных точек и кнопок учетных точек

Сценарий: 10_milk_scenario. Создание учетной точки Посолка
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Учетные точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Посолка'
	И я нажимаю на кнопку 'Записать'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Выпуск сыра'
	И я нажимаю кнопку выбора у поля "Учетная точка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'	|
		| 'Посолка'			|
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'				|
		| 'Оперативный учет на рабочем центре'	|
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я устанавливаю флаг 'Переработка'
	И я устанавливаю флаг 'Указывать пакеты'
	И я устанавливаю флаг 'Печатать этикетку партии'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Упаковка'      |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-отправитель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Бассейн соления'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка с именем "н_ВариантРаспределенияОсновныхМатериаловКоличество" я выбираю точное значение 'По выпуску, выбранный материал'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловКоличество" я выбираю точное значение 'По норме на выпуск'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловСерии" я выбираю точное значение 'По ФИФО'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'В разрезе контейнеров'
	И я нажимаю кнопку выбора у поля 'Характеристика выпуска'
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'На созревании'       |
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю кнопку выбора у поля "Склады для выбора"
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку с именем 'Add'
	И в таблице "ValueList" я нажимаю кнопку выбора у реквизита "Значение"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Камера созревания 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Список значений'
	И в таблице "ValueList" я завершаю редактирование строки
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Посолка (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Брак'
	И я нажимаю кнопку выбора у поля "Учетная точка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'	|
		| 'Посолка'		|
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'				|
		| 'Оперативный учет на рабочем центре'	|
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я устанавливаю флаг 'Переработка (брак)'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Упаковка'      |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-отправитель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Бассейн соления'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка с именем "н_ВариантРаспределенияОсновныхМатериаловКоличество" я выбираю точное значение 'По выпуску, выбранный материал'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловКоличество" я выбираю точное значение 'По норме на выпуск'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловСерии" я выбираю точное значение 'По ФИФО'
	И я нажимаю кнопку выбора у поля "Вид номенклатуры выпуска брака"
	Тогда открылось окно 'Виды номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сыр'          |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Характеристика выпуска брака"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Брак'         |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'Не использовать'	
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Посолка (Учетные точки)'
	И я закрыл все окна клиентского приложения

Сценарий: 10_milk_scenario. Создание учетной точки Пост сыровара
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Учетные точки (создание)'
	И в поле с именем 'Наименование' я ввожу текст 'Пост сыровара'
	И я нажимаю на кнопку 'Записать'
	И в таблице "СписокКнопки" я нажимаю на кнопку с именем 'СписокКнопкиСоздать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Этапы варки'
	И я нажимаю кнопку выбора у поля "Учетная точка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'  |
		| 'Пост сыровара' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'          |
		| 'Работа с заданиями' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я устанавливаю флаг 'Указывать параметры тех. процесса'
	И я нажимаю кнопку выбора у поля "Вид анализа"
	Тогда открылось окно 'Виды анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'Этапы варки сыра' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Пост сыровара (Учетные точки)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Пост сыровара (Учетные точки)' в течение 20 секунд
	Тогда открылось окно 'Учетные точки'
	И Я закрываю окно 'Учетные точки'

Сценарий: 10_milk_scenario. Создание учетной точки Наборка по рецептуре
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Учетные точки (создание)'
	И в поле с именем 'Наименование' я ввожу текст 'Наборка по рецептуре'
	И я нажимаю на кнопку 'Записать'
	И в таблице "СписокКнопки" я нажимаю на кнопку с именем 'СписокКнопкиСоздать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Наборка'
	И я нажимаю кнопку выбора у поля "Учетная точка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'         |
		| 'Наборка по рецептуре' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'          |
		| 'Работа с заданиями' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я устанавливаю флаг 'Переработка'
	И я устанавливаю флаг 'Выполнять наборку по рецептуре'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'Не использовать'
	И я устанавливаю флаг 'Подбирать серию материала по FIFO'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-отправитель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Сырцех' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	И я устанавливаю флаг 'Печатать этикетки пакетов'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Наборка по рецептуре (Учетные точки)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Наборка по рецептуре (Учетные точки)' в течение 20 секунд
	Тогда открылось окно 'Учетные точки'
	И Я закрываю окно 'Учетные точки'

Сценарий: 10_milk_scenario. Создание учетной точки Маркировка
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Учетные точки (создание)'
	И в поле с именем 'Наименование' я ввожу текст 'Маркировка'
	И я нажимаю на кнопку 'Записать'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Поштучный выпуск'
	И я нажимаю кнопку выбора у поля "Учетная точка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'		|
		| 'Маркировка'			|
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'               |
		| 'Комплектация через весы' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я устанавливаю флаг 'Переработка'
	И я устанавливаю флаг 'Упаковочный лист'
	И я устанавливаю флаг 'Перемещение'
	И я устанавливаю флаг 'Маркировка штуки'
	И я нажимаю кнопку выбора у поля "Вид номенклатуры выпуска брака"
	Тогда открылось окно 'Виды номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сыр'          |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Характеристика выпуска брака"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Брак'         |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловКоличество" я выбираю точное значение 'По норме на выпуск'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловСерии" я выбираю точное значение 'По ФИФО'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Маркировка'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-отправитель"
	Тогда открылось окно 'Склады'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Склад ГП'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад передачи"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Камера созревания 1'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Организация"
	Тогда открылось окно 'Организации'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Маркировка (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Выпуск в коробах'
	И я нажимаю кнопку выбора у поля "Учетная точка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'		|
		| 'Маркировка'			|
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'               |
		| 'Комплектация через весы' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я устанавливаю флаг 'Переработка'
	И я устанавливаю флаг 'Упаковочный лист'
	И я устанавливаю флаг 'Перемещение'
	И я нажимаю кнопку выбора у поля "Вид номенклатуры выпуска брака"
	Тогда открылось окно 'Виды номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сыр'          |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Характеристика выпуска брака"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Брак'         |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловКоличество" я выбираю точное значение 'По норме на выпуск'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловСерии" я выбираю точное значение 'По ФИФО'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Маркировка'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-отправитель"
	Тогда открылось окно 'Склады'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Склад ГП'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад передачи"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Камера созревания 1'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Организация"
	Тогда открылось окно 'Организации'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Маркировка (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Поштучный выпуск с контейнера'
	И я нажимаю кнопку выбора у поля "Учетная точка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'		|
		| 'Маркировка'			|
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'               |
		| 'Комплектация через весы' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я устанавливаю флаг 'Переработка'
	И я устанавливаю флаг 'Перемещение'
	И я устанавливаю флаг 'Упаковочный лист'
	И я устанавливаю флаг 'Использовать сканирование контейнеров'
	И я устанавливаю флаг 'Маркировка штуки'
	И я нажимаю кнопку выбора у поля "Вид номенклатуры выпуска брака"
	Тогда открылось окно 'Виды номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сыр'          |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Характеристика выпуска брака"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Брак'         |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловКоличество" я выбираю точное значение 'По норме на выпуск'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловСерии" я выбираю точное значение 'По ФИФО'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Маркировка'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-отправитель"
	Тогда открылось окно 'Склады'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Склад ГП'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад передачи"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Камера созревания 1'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Организация"
	Тогда открылось окно 'Организации'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Маркировка (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Выпуск в коробах с контейнера'
	И я нажимаю кнопку выбора у поля "Учетная точка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'		|
		| 'Маркировка'			|
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'               |
		| 'Комплектация через весы' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я устанавливаю флаг 'Переработка'
	И я устанавливаю флаг 'Упаковочный лист'
	И я устанавливаю флаг 'Перемещение'
	И я нажимаю кнопку выбора у поля "Вид номенклатуры выпуска брака"
	Тогда открылось окно 'Виды номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сыр'          |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Характеристика выпуска брака"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Брак'         |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловКоличество" я выбираю точное значение 'По норме на выпуск'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловСерии" я выбираю точное значение 'По ФИФО'
	И я устанавливаю флаг 'Использовать сканирование контейнеров'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Маркировка'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-отправитель"
	Тогда открылось окно 'Склады'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Склад ГП'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад передачи"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Камера созревания 1'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Организация"
	Тогда открылось окно 'Организации'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Маркировка (Учетные точки)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Маркировка (Учетные точки)' в течение 20 секунд
	Тогда открылось окно 'Учетные точки'
	И я закрываю окно 'Учетные точки'

Сценарий: 10_milk_scenario. Создание учетной точки Сырцех
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Учетные точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Сырцех'
	И я нажимаю на кнопку 'Записать'
	И в таблице "СписокКнопки" я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Варки сыра'
	И я нажимаю кнопку выбора у поля "Учетная точка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'          |
		| 'Работа с заданиями' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я устанавливаю флаг 'Переработка'
	И я устанавливаю флаг 'Выпуск'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-отправитель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'		 |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склады для выбора"
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку с именем 'Add'
	И в таблице "ValueList" я нажимаю кнопку выбора у реквизита "Значение"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Сырцех' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'	|
		| 'Бассейн соления' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Характеристика выпуска"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'	|
		| 'Варка'			|
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка с именем "н_ВариантРаспределенияОсновныхМатериаловКоличество" я выбираю точное значение 'Не распределять'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловКоличество" я выбираю точное значение 'Не распределять'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'Не использовать'	
	И я нажимаю на кнопку 'Записать и закрыть'
	Тогда открылось окно 'Сырцех (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку с именем 'СписокКнопкиСоздать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Выпуск смеси'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'          |
		| 'Работа с заданиями' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я перехожу к закладке "Настройки"
	И я устанавливаю флаг 'Переработка'
	И из выпадающего списка с именем "н_ВариантРаспределенияОсновныхМатериаловКоличество" я выбираю точное значение 'Не распределять'
	И из выпадающего списка с именем "н_ВариантРаспределенияВспомогательныхМатериаловКоличество" я выбираю точное значение 'Не распределять'
	И я устанавливаю флаг 'Выпуск'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'Не использовать'
	И я устанавливаю флаг 'Разрешить несколько выпусков по одному заданию'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'ПАЦ'          |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Склад-получатель"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Сырцех (Учетные точки)'
	И я перехожу к закладке "Пользователи"
	И в таблице "Пользователи" я нажимаю на кнопку 'Добавить'
	И в таблице "Пользователи" я нажимаю кнопку выбора у реквизита "Пользователь"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		|''|
		|'Пользователь'|
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Выбор пользователя'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя'	|
		| 'Менеджер'	|
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Сырцех (Учетные точки) *'
	И я перехожу к закладке "Дополнительно"
	И в поле 'Скорость прокрутки' я ввожу текст '1'
	И я нажимаю на кнопку "Записать"
	Тогда открылось окно 'Сырцех (Учетные точки)'
	И я закрыл все окна клиентского приложения

Сценарий: 10_milk_scenario. Создание учетной точки Учет ингредиентов
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Сырцех (Учетные точки)'
	И в таблице "СписокКнопки" я нажимаю на кнопку с именем 'СписокКнопкиСоздать'
	Тогда открылось окно 'Кнопка учетной точки (создание)'
	И в поле 'Наименование' я ввожу текст 'Учет ингредиентов'
	И я нажимаю кнопку выбора у поля "Учетная точка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я нажимаю кнопку выбора у поля "Обработка"
	Тогда открылось окно 'Форма выбора обработок'
	И в таблице "Список" я перехожу к строке:
		| 'Обработка'          |
		| 'Работа с заданиями' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И я устанавливаю флаг 'Переработка'
	И я устанавливаю флаг 'Указывать расход ингредиентов'
	И я устанавливаю флаг 'Указывать основной материал'
	И я устанавливаю флаг 'Расход ингредиентов'
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Кнопка учетной точки (создание) *'
	И из выпадающего списка "Учет остатков по таре" я выбираю точное значение 'Не использовать'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Кнопка учетной точки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Сырцех (Учетные точки)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Сырцех (Учетные точки)' в течение 20 секунд
	Тогда открылось окно 'Учетные точки'
	И Я закрываю окно 'Учетные точки'
	И я закрыл все окна клиентского приложения